<?php
class FW_Validator_Length extends FW_Validator_Abstract
{
  public function isThisValid()
  {
    $string = $this->values["to_check"];
    if(!is_string($string))
    {
      throw new FW_Validator_Exception("Der erste Parameter muss ein String sein!");
    }
    
    //Initialisieren des Rückgabewerts mit true
    $return = true;
     
    //Prüfen, ob Minimum kleiner als Maximum ist
    if(isset($this->values["max"]) 
    && isset($this->values["min"])
    && is_int($this->values["max"])
    && is_int($this->values["min"])
    && $this->values["max"] < $this->values["min"])
    {
      throw new FW_Validator_Exception("Minimum darf nicht größer als Maximum sein.");
    }
        
    //Prüfen, ob String mindestlänge unterschreitet    
    if(isset($this->values["min"]) 
    && $this->values["min"] != null 
    && is_int($this->values["min"]))
    {
      if(strlen($string) < $this->values["min"])
      {
        $return = false;
      }  
    }
    
    //Prüfen, ob String maximallänge überschreitet
    if(isset($this->values["max"]) 
    && $this->values["max"] != null 
    && is_int($this->values["max"]))
    {
      if(strlen($string) > $this->values["max"])
      {
        $return = false;
      }  
    }
    
    return $return;
  }
}
?>